<?php

class SkrillOxidVersion
{
    public $version;

    public function __construct()
    {
        $versionFile = realpath(dirname(__FILE__) . '/../../..') . '/version.php';
        include $versionFile;
    }

    public static function getVersion()
    {
        if (class_exists('OxidEsales\Eshop\Core\ShopVersion')) {
            return OxidEsales\Eshop\Core\ShopVersion::getVersion();
        } else {
            $self = new self;

            return $self->version;
        }
    }

    public static function isOld()
    {
        if (class_exists('OxidEsales\Eshop\Core\ShopVersion')) {
            return false;
        } else {
            return true;
        }
    }

    public static function isNew()
    {
        if (class_exists('OxidEsales\Eshop\Core\ShopVersion')) {
            return true;
        } else {
            return false;
        }
    }
}
