[{include file="headitem.tpl" title="BACKEND_GENERAL_SETUP"|oxmultilangassign}]

<script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>

<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/tooltipster/3.3.0/js/jquery.tooltipster.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/tooltipster/3.3.0/css/tooltipster.min.css">

<script type="text/javascript" src="[{$oViewConf->getModuleUrl('skrill/out/js')}]SkrillSetting.js"></script>
<link rel="stylesheet" href="[{$oViewConf->getModuleUrl('skrill/out/css')}]SkrillAdmin.css">
<link rel="stylesheet" href="[{$oViewConf->getModuleUrl('skrill/out/css')}]SkrillTooltip.css">


[{if $readonly}]
  [{assign var="readonly" value="readonly disabled"}]
[{else}]
  [{assign var="readonly" value=""}]
[{/if}]

[{cycle assign="_clear_" values=",2" }]

[{if $save_status == 'success'}]
    <div class="alert alert-success" id="success-alert">
        <button type="button" class="close" data-dismiss="alert">x</button>
        [{oxmultilang ident="SKRILL_SUCCESS_GENERAL_SETTING"}]
    </div>
[{elseif $skrill__sqlExecutionErrors}]
    <div class="alert alert-danger" id="error-alert">
        <button type="button" class="close" data-dismiss="alert">x</button>
        [{oxmultilang ident="SKRILL_ERROR_GENERAL_SQLINSTALL"}]
    </div>
[{elseif $save_status == 'failed'}]
    <div class="alert alert-danger" id="error-alert">
        <button type="button" class="close" data-dismiss="alert">x</button>
        [{oxmultilang ident="SKRILL_ERROR_GENERAL_SETTING"}]
    </div>
[{/if}]

<nav>
  <div class="nav nav-tabs" id="nav-tab" role="tablist">
    <a class="nav-item nav-link active" id="nav-presentation-tab" data-toggle="tab" href="#nav-presentation" role="tab" aria-controls="nav-presentation" aria-selected="true">[{oxmultilang ident="BACKEND_GENERAL_PRESENTATION"}]</a>
    <a class="nav-item nav-link" id="nav-setting-tab" data-toggle="tab" href="#nav-setting" role="tab" aria-controls="nav-setting" aria-selected="false">[{oxmultilang ident="BACKEND_CH_GENERAL"}]</a>
    <a class="nav-item nav-link" id="nav-payment-tab" data-toggle="tab" href="#nav-payment" role="tab" aria-controls="nav-payment" aria-selected="false">[{oxmultilang ident="BACKEND_GENERAL_PAYMENT_CONFIG"}]</a>
  </div>
</nav>

<div class="tab-content" id="nav-tabContent">

  <div class="tab-pane fade show active" id="nav-presentation" role="tabpanel" aria-labelledby="nav-presentation-tab">
      <div class='row'>
          <div class="col-4">
              <img src="[{$oViewConf->getModuleUrl('skrill/out/images')}]skrill.png" class="skrill-logo" />
              <div class="skrill-line">&nbsp;</div>
          </div>
          <div class="col-8">
              <div style="padding-top:65px">&nbsp;</div>
          </div>
      </div>
      <div class='row'>
          <div class="col-4">
              <img src="[{ $oViewConf->getModuleUrl('skrill/out/images') }]skrill_widget.png" class="skrill-widget" />
          </div>
          <div class="col-8">
              [{if $lang_abbr <> 'de'}]
              <div class="padding-10" style="padding-top:15px">
                  <b>[{ oxmultilang ident="BACKEND_PRESENTATION_OVERVIEW" }]</b>
              </div>
              <div class="padding-10">
                  [{ oxmultilang ident="BACKEND_PRESENTATION_HEADING" }]
              </div>
              <div class="padding-10">
              [{else}]
              <div class="padding-10" style="padding-top:15px">
              [{/if}]
                  <b>[{ oxmultilang ident="BACKEND_PRESENTATION_MERCHANT_BENEFIT" }]</b>
              </div>
              <div class="padding-10">
                  <ul>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_MERCHANT_BENEFIT_LIST1" }]</li>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_MERCHANT_BENEFIT_LIST2" }]</li>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_MERCHANT_BENEFIT_LIST3" }]</li>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_MERCHANT_BENEFIT_LIST4" }]</li>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_MERCHANT_BENEFIT_LIST5" }]</li>
                  </ul>
              </div>
              <div class="padding-10">
                  <b>[{ oxmultilang ident="BACKEND_PRESENTATION_FEATURE" }]</b>
              </div>
              <div class="padding-10">
                  <ul>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_FEATURE_LIST1" }]</li>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_FEATURE_LIST2" }]</li>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_FEATURE_LIST3" }]</li>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_FEATURE_LIST4" }]</li>
                  </ul>
              </div>
              <div class="padding-10">
                  <b>[{ oxmultilang ident="BACKEND_PRESENTATION_CUSTOMER_BENEFIT" }]</b>
              </div>
              <div class="padding-10">
                  <ul>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_CUSTOMER_BENEFIT_LIST1" }]</li>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_CUSTOMER_BENEFIT_LIST2" }]</li>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_CUSTOMER_BENEFIT_LIST3" }]</li>
                      <li>[{ oxmultilang ident="BACKEND_PRESENTATION_CUSTOMER_BENEFIT_LIST4" }]</li>
                  </ul>
              </div>
              <div class="padding-10">
                  <a class="signup" href="https://signup.skrill.com/business/#/contact?lang=[{ oxmultilang ident="BACKEND_PRESENTATION_LANGUAGE" }]&rid=21477246" target="_blank" class="pres-btn-signup">
                      [{ oxmultilang ident="BACKEND_PRESENTATION_SIGN_UP_NOW" }]
                  </a>
              </div>
              <div class="padding-10">
                  [{ oxmultilang ident="BACKEND_PRESENTATION_CONTACT_MAIL" }] <a href="mailto:integrationsupport@paysafe.com">integrationsupport@paysafe.com</a>
              </div>  
          </div>
      </div>
  </div>

  <div class="tab-pane fade" id="nav-setting" role="tabpanel" aria-labelledby="nav-setting-tab">

    <form name="myedit" id="myedit" action="[{$oViewConf->getSelfLink()}]" method="post">
        [{$oViewConf->getHiddenSid()}]
        <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
        <input type="hidden" name="fnc" value="savesetting">
        <input type="hidden" name="oxid" value="[{$oxid}]">
        <input type="hidden" name="editval[oxshops__oxid]" value="[{$oxid}]">

    <table cellspacing="0" cellpadding="5" border="0" style="width:60%; text-align: left; min-width:500px;">
      <tr>
        <td class="list-title" valign="top" nowrap="">
          [{ oxmultilang ident="SKRILL_BACKEND_MID" }]
          <span class='required-field'>*</span>
        </td>
        <td valign="top">
          <input type=text class="editinput" name=confstrs[skrill_general_merchant_id] value="[{if $confstrs.skrill_general_merchant_id}][{$confstrs.skrill_general_merchant_id}][{else}][{$skrill_general_merchant_id}][{/if}]" maxlength="32" required="" />
          <div class='skrill-setting-help-text'>
            <small>[{ oxmultilang ident="SKRILL_BACKEND_TT_MID"}]</small>
          </div>
        </td>
      </tr>
      <tr>
        <td class="list-title" valign="top" nowrap="">
          [{ oxmultilang ident="SKRILL_BACKEND_MERCHANT" }]
          <span class='required-field'>*</span>
        </td>
        <td valign="top">
          <input type=text class="editinput" name=confstrs[skrill_general_merchant_account_email] value="[{if $confstrs.skrill_general_merchant_account_email}][{$confstrs.skrill_general_merchant_account_email}][{else}][{$skrill_general_merchant_account_email}][{/if}]" maxlength="50" required="" />
          <div class='skrill-setting-help-text'>
            <small>[{ oxmultilang ident="SKRILL_BACKEND_TT_MEMAIL"}]</small>
          </div>
        </td>
      </tr>
      <tr>
        <td class="list-title" valign="top" nowrap="">
          [{ oxmultilang ident="SKRILL_BACKEND_APIPASS" }]
          <span class='required-field'>*</span>
        </td>
        <td valign="top">
          <input type=password class="editinput secret-password" required/>
          <input type='hidden' name=confstrs[skrill_general_api_password] value="*****" />
          <div class='skrill-setting-help-text'>
            <small>[{ oxmultilang ident="SKRILL_BACKEND_TT_APIPW"}]</small>
          </div>
        </td>
      </tr>
      <tr>
        <td class="list-title" valign="top" nowrap="">
          [{ oxmultilang ident="SKRILL_BACKEND_SECRETWORD" }]
          <span class='required-field'>*</span>
        </td>
        <td valign="top">
          <input type=password class="editinput secret-password" required/>
          <input type='hidden' name=confstrs[skrill_general_secret_password] value="*****" />
          <div class='skrill-setting-help-text'>
            <small>[{ oxmultilang ident="SKRILL_BACKEND_TT_SECRET"}]</small>
          </div>
        </td>
      </tr>
      <tr>
        <td class="list-title" valign="top" nowrap="">
          [{ oxmultilang ident="SKRILL_BACKEND_RECIPIENT" }]
          <span class='required-field'>*</span>
        </td>
        <td valign="top">
          <input type=text class="editinput" name=confstrs[skrill_general_recipient] value="[{if $confstrs.skrill_general_recipient}][{$confstrs.skrill_general_recipient}][{else}][{$skrill_general_recipient}][{/if}]" maxlength="32" required />
          <div class='skrill-setting-help-text'>
            <small>[{ oxmultilang ident="SKRILL_BACKEND_TT_RECIPIENT"}]</small>
          </div>
        </td>
      </tr>
      <tr>
        <td class="list-title" valign="top" nowrap="">
          [{ oxmultilang ident="SKRILL_BACKEND_LOGO" }]
        </td>
        <td valign="top">
          <input type=text class="editinput" name=confstrs[skrill_general_logo_url] value="[{if $confstrs.skrill_general_logo_url}][{$confstrs.skrill_general_logo_url}][{else}][{$skrill_general_logo_url}][{/if}]" />
          <div class='skrill-setting-help-text'>
            <small>[{ oxmultilang ident="SKRILL_BACKEND_TT_LOGO"}]</small>
          </div>
        </td>
      </tr>
    </table>

    <div class="setting-submit save-setting">
      [{ if $start_setup }]
        <input type="submit" name="save" value="[{ oxmultilang ident="BACKEND_CH_SAVE" }]" [{ $readonly}]>
      [{else}]
        <input type="submit" name="save" value="[{ oxmultilang ident="BACKEND_CH_SAVE" }]" [{ $readonly}]>

        [{*if $oView->skrill__hasRegisteredTemplateBlocks()}]
        <input type="button" value="[{ oxmultilang ident="BACKEND_BT_UNINSTALLTPL" }]" [{ $readonly}] onclick="window.location.href='[{$oViewConf->getSelfLink()}]cl=SkrillSetup&fnc=skrill__fncUninstallTemplateBlocks';" />
        [{else}]
        <input type="button" value="[{ oxmultilang ident="BACKEND_BT_INSTALLTPL" }]" [{ $readonly}] onclick="window.location.href='[{$oViewConf->getSelfLink()}]cl=SkrillSetup&fnc=skrill__fncInstallTemplateBlocks';" />
        [{/if*}]
      [{/if}]
    </div>
    </form>
  </div>

  <div class="tab-pane fade" id="nav-payment" role="tabpanel" aria-labelledby="nav-payment-tab">

    <form name="myedit" id="myedit" action="[{$oViewConf->getSelfLink()}]" method="post">
        [{$oViewConf->getHiddenSid()}]
        <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
        <input type="hidden" name="fnc" value="savepaymentconfiguration">
        <input type="hidden" name="oxid" value="[{$oxid}]">
        <input type="hidden" name="editval[oxshops__oxid]" value="[{$oxid}]">

    <div class='payment-configuration padding-10'>
      <div class='payment-method-wrapper'>
        [{foreach from=$all_skrill_payment_methods key=key item=payment_method}]
          <div class="payment-method row">
            <div class="col-6">
              <div class='row'>
                <div class='col-6 payment-logo padding-10'>
                  [{if $payment_method.backend_logos && $payment_method.backend_logos|@count > 0 }]
                    [{foreach from=$payment_method.backend_logos key=i item=logo}]
                      <img src="[{$oViewConf->getModuleUrl('skrill/out/images')}][{$logo}]" class='payment-config-logo'/>
                    [{/foreach}]
                  [{elseif $payment_method.logos && $payment_method.logos|@count > 0 }]
                    [{foreach from=$payment_method.logos key=i item=logo}]
                      <img src="[{$oViewConf->getModuleUrl('skrill/out/images')}][{$logo}]" class='payment-config-logo'/>
                    [{/foreach}]
                  [{else}]
                    [{ if $key == 'FLEXIBLE'}]
                      <img src="[{$oViewConf->getModuleUrl('skrill/out/images')}][{$key|lower}].png" class='payment-config-biglogo'/>
                    [{ else }]
                      <img src="[{$oViewConf->getModuleUrl('skrill/out/images')}][{$key|lower}].png" class='payment-config-logo'/>
                    [{/if}]
                  [{/if}]
                </div>
                <div class='col-6 payment-title padding-10'>
                  <b>[{ oxmultilang ident="SKRILL_BACKEND_PM_$key" }]</b> 
                  <!-- set tooltips text -->
                  [{assign var=lower_key value=$key|lower}]
                  <img src="[{$oViewConf->getModuleUrl('skrill/out/images')}]questionmark.png" class="payment-config-tooltip skrill-wlt-tooltip" title="[{if $skrill_tooltips.$lower_key }][{$skrill_tooltips.$lower_key}][{else}]All Countries[{/if}]">
                </div>
              </div>
            </div>
            <div class="col-3 padding-10 checkbox-wrapper">
              <label for='skrill_payment_methods_enabled_[{$key}]_checkbox'>
                [{ oxmultilang ident="BACKEND_CH_ACTIVE" }]
              </label>
              <input type=checkbox id="skrill_payment_methods_enabled_[{$key}]_checkbox"  class="payment-method-enabled-checkbox"/>
              <input type='hidden' id="skrill_payment_methods_enabled_[{$key}]" class="payment-method-enabled" name="skrill_payment_methods[[{$key}]][enabled]" value='[{if $skrill_payment_methods.$key.enabled == '1' || 
              ($skrill_payment_methods.$key.enabled == '' && $skrill_payment_methods_default[$key].enabled == 1) }]1[{else}]0[{/if}]'/>
            </div>
            <div class="col-3 padding-10 [{ if $key != 'FLEXIBLE'}]checkbox-wrapper[{/if}]">
            </div>
            [{if $payment_method.banks}]
              <div class='payment-banks'>
                <ul>
                  [{foreach from=$payment_method.banks key=i item=bank}]
                    <li>[{$bank}]</li>
                  [{/foreach}]
                </ul>
              </div>
            [{/if}]
          </div>
        [{/foreach}]
      </div>
    </div>

    <div class="setting-submit save-payment">
      [{ if $start_setup }]
        <input type="submit" name="save" value="[{ oxmultilang ident="BACKEND_CH_SAVE" }]" [{ $readonly}]>
      [{else}]
        <input type="submit" name="save" value="[{ oxmultilang ident="BACKEND_CH_SAVE" }]" [{ $readonly}]>

        [{*if $oView->skrill__hasRegisteredTemplateBlocks()}]
        <input type="button" value="[{ oxmultilang ident="BACKEND_BT_UNINSTALLTPL" }]" [{ $readonly}] onclick="window.location.href='[{$oViewConf->getSelfLink()}]cl=SkrillSetup&fnc=skrill__fncUninstallTemplateBlocks';" />
        [{else}]
        <input type="button" value="[{ oxmultilang ident="BACKEND_BT_INSTALLTPL" }]" [{ $readonly}] onclick="window.location.href='[{$oViewConf->getSelfLink()}]cl=SkrillSetup&fnc=skrill__fncInstallTemplateBlocks';" />
        [{/if*}]
      [{/if}]
    </div>
    </form>

  </div>
</div>

<div style="padding: 10px 20px; text-align:right; font-weight:bold; font-size:small">
  Skrill Module Version: [{$skrill_module_version}]
</div>

<script>
    [{if $active_tab == 'setting'}]
        $("#nav-setting-tab").click();
    [{elseif $active_tab == 'payment'}]
        $("#nav-payment-tab").click();
    [{/if}]
</script

  [{include file="pagenavisnippet.tpl"}]
</div>
[{include file="pagetabsnippet.tpl"}]

[{include file="bottomnaviitem.tpl"}]

[{include file="bottomitem.tpl"}]
